#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.15
visibility:           public
id:                   foldl-1.4.15-125rAFRZ5BZDEIk4IyfMBw
key:                  foldl-1.4.15-125rAFRZ5BZDEIk4IyfMBw
license:              BSD-3-Clause
copyright:            2013 Gabriella Gonzalez
maintainer:           GenuineGabriella@gmail.com
author:               Gabriella Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  88db1969d016382e9a341025938e209f
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.NonEmpty
    Control.Foldl.Text Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-9.0.2/site-local/foldl-1.4.15
library-dirs:         /usr/lib/ghc-9.0.2/site-local/foldl-1.4.15
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-foldl
hs-libraries:         HSfoldl-1.4.15-125rAFRZ5BZDEIk4IyfMBw
depends:
    base-4.15.1.0 bytestring-0.10.12.1
    comonad-5.0.8-J2wjUEuFB6OFtEoN8dpdww containers-0.6.4.1
    contravariant-1.5.5-FtJyCLyWfutGN2UWoJs8qd
    hashable-1.4.3.0-JNIl3QAmQdVCUYfpxV7wfJ
    primitive-0.7.4.0-3MecjX0EG9nEyOtRD6f3ja
    profunctors-5.6.2-BQOtmbK4nTiLrPboMDWWfi
    random-1.2.1.1-IvJyCZOiT9MCISTYBmDLQY
    semigroupoids-5.3.7-GoTx94maRcpLxMeVXfADal text-1.2.5.0
    transformers-0.5.6.2
    unordered-containers-0.2.20-JUpj03e9UBE4KYc3X7i8JW
    vector-0.13.1.0-EeG9oFm4RPx9bHWOkj59Bl

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

